API ReferenceSystem Widget Dashboards
Promote
Promote system widget dashboards.
Authorization
bearerAuth superadmin, superuserAuthorization<token>
In: header
Scope: superadmin, superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/widgets/dashboards/system/promote" \ -H "Content-Type: application/json" \ -d '{ "sourceCompanyId": 0.1, "dashboardId": "string" }'{ "id": "string", "title": { "en": "string", "es": "string" }, "description": { "en": "string", "es": "string" }, "spec": { "property1": null, "property2": null }, "isSystem": true, "isFavorited": true, "instances": [ { "id": "string", "widgetId": "string", "dashboardId": "string", "specOverride": { "property1": null, "property2": null }, "visualConfig": { "property1": null, "property2": null }, "widget": { "id": "string", "title": { "en": "string", "es": "string" }, "description": { "en": "string", "es": "string" }, "spec": { "property1": null, "property2": null }, "isSystem": true, "isFavorited": true, "featureRequirements": "string", "labels": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "thumbnailUrl": "string", "compressedThumbnailUrl": "string" }, "createdAt": "string", "updatedAt": "string", "deletedAt": "string" } ], "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "archivedAt": "string", "thumbnailUrl": "string", "compressedThumbnailUrl": "string"}